Subject: [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt

From: "Paul Quinn (paulq)" <[email-masked]>
Date: Mon, 13 Feb 2017 23:29:38 +0000

Folks,

This version integrates:

- Much of the email thread with Alia re: her AD review of the draft.  There still might be a few minor items that need to be updated (e.g. some of the IETF vs. expert review for registries)
- The changes summarized by the chairs (https://mailarchive.ietf.org/arch/msg/sfc/03g2WEAeID_XIQgsFOZxD-diqQU/?qid=4eda91ca1d7acd135b12947201b6547a)
- Some minor editorial changes

Paul

Begin forwarded message:

From: <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-ietf-sfc-nsh-11.txt
Date: February 13, 2017 at 6:24:54 PM EST
To: Uri Elzur <[email-masked]<mailto:[email-masked]>>, Paul Quinn <[email-masked]<mailto:[email-masked]>>

A new version of I-D, draft-ietf-sfc-nsh-11.txt
has been successfully submitted by Paul Quinn and posted to the
IETF repository.

Name: draft-ietf-sfc-nsh
Revision: 11
Title: Network Service Header
Document date: 2017-02-12
Group: sfc
Pages: 37
URL:            https://www.ietf.org/internet-drafts/draft-ietf-sfc-nsh-11.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh/
Htmlized:       https://tools.ietf.org/html/draft-ietf-sfc-nsh-11
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-11

Abstract:
  This document describes a Network Service Header (NSH) inserted onto
  packets or frames to realize service function paths.  NSH also
  provides a mechanism for metadata exchange along the instantiated
  service path.  NSH is the SFC encapsulation required to support the
  Service Function Chaining (SFC) Architecture (defined in RFC7665).

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 14 Feb 2017 09:06:33 -0000

Nice.
Thanks Paul.
This is a great help.
Adrian
 
From: sfc [mailto:[email-masked]] On Behalf Of Paul Quinn (paulq)
Sent: 13 February 2017 23:30
To: [email-masked]
Subject: [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt
 
Folks, 
 
This version integrates:
 
- Much of the email thread with Alia re: her AD review of the draft.  There
still might be a few minor items that need to be updated (e.g. some of the IETF
vs. expert review for registries)
- The changes summarized by the chairs
(https://mailarchive.ietf.org/arch/msg/sfc/03g2WEAeID_XIQgsFOZxD-diqQU/?qid=4eda
91ca1d7acd135b12947201b6547a)
- Some minor editorial changes
 
Paul

Begin forwarded message:
 
From: <[email-masked]>
Subject: New Version Notification for draft-ietf-sfc-nsh-11.txt
Date: February 13, 2017 at 6:24:54 PM EST
To: Uri Elzur <[email-masked]>, Paul Quinn <[email-masked]>

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Dave Dolson <[email-masked]>
Date: Wed, 15 Feb 2017 21:53:38 +0000

Do we expect changes regarding:

-          Removal of C-flag ?

-          Addition of TTL ?

From: sfc [mailto:[email-masked]] On Behalf Of Paul Quinn (paulq)
Sent: Monday, February 13, 2017 6:30 PM
To: [email-masked]
Subject: [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt

Folks,

This version integrates:

Paul

Begin forwarded message:

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

The IETF Secretariat

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 15 Feb 2017 17:17:12 -0500

The chairs request of the authors was to get the text out with the known 
and (we believed) agreed changes, so that we all had text to work from.

Once the chairs call consensus on the other points, then we expect the 
following revision to include them.

Yours,
Joel

On 2/15/17 4:53 PM, Dave Dolson wrote:
> *From:*sfc [mailto:[email-masked]] *On Behalf Of *Paul Quinn (paulq)
> *Sent:* Monday, February 13, 2017 6:30 PM
> *To:* [email-masked]
> *Subject:* [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt
>
>
>
> Folks,
>
>
>
> This version integrates:
>
>
>
> - Much of the email thread with Alia re: her AD review of the draft.
>  There still might be a few minor items that need to be updated (e.g.
> some of the IETF vs. expert review for registries)
>
> (https://mailarchive.ietf.org/arch/msg/sfc/03g2WEAeID_XIQgsFOZxD-diqQU/?qid=4eda91ca1d7acd135b12947201b6547a)
>
> *From: *<[email-masked] <mailto:[email-masked]>>
>
> *Subject: New Version Notification for draft-ietf-sfc-nsh-11.txt*
>
> *Date: *February 13, 2017 at 6:24:54 PM EST
>
> *To: *Uri Elzur <[email-masked] <mailto:[email-masked]>>, Paul
> Quinn <[email-masked] <mailto:[email-masked]>>
>
>
>
>
> Name:draft-ietf-sfc-nsh
> Revision:11
> Title:Network Service Header
> Document date:2017-02-12
> Group:sfc
> Pages:37
> URL:
>            https://www.ietf.org/internet-drafts/draft-ietf-sfc-nsh-11.txt
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc
>

---

From: <[email-masked]>
Date: Thu, 16 Feb 2017 16:03:56 +0000

Hi Paul,

Thank you for the update.

I'm afraid the agreed text (the one to be added to Section 3.5.1) as recorded in https://trac.ietf.org/trac/sfc/ticket/21 was not integrated in this revision. Can you please fix that?

Cheers,
Med

De : sfc [mailto:[email-masked]] De la part de Paul Quinn (paulq)
Envoyé : mardi 14 février 2017 00:30
À : [email-masked]
Objet : [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt

Folks,

This version integrates:

Paul

Begin forwarded message:

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

The IETF Secretariat

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 16 Feb 2017 13:16:07 -0500

Joel,

Just curious when you expect to call consensus for TTL and C flag.

Thanks,
Andy

On Wed, Feb 15, 2017 at 5:17 PM, Joel M. Halpern <[email-masked]>
wrote:

>> (https://mailarchive.ietf.org/arch/msg/sfc/03g2WEAeID_XIQgsF
>> OZxD-diqQU/?qid=4eda91ca1d7acd135b12947201b6547a)
>>

---

From: James N Guichard <[email-masked]>
Date: Thu, 16 Feb 2017 23:14:56 +0000

For reference the agreed upon text to be added at the end of section 3.5.1 is as follows - NSH editors please make the change:

This specification does not make any assumption about TLVs that are
mandatory-to-implement or those that are mandatory-to-process. These
considerations are deployment-specific. However, the control plane
is entitled to instruct SFC-aware SFs with the data structure of
TLVs together with their scoping (See Section 3.3.3 of [I-D.ietf-sfc-
control-plane]).

Upon receipt of a packet that belong to a given SFP, if a mandatory-
to-process TLV is missing in that packet, the SFC-aware SF MUST NOT
process the packet and MUST log at least once per the SPI for which
a mandatory metadata is missing.

If multiple mandatory-to-process TLVs are required for a given SFP,
the control plane MAY instruct the SFC-aware SF with the order to
consume these TLVs. If no instructions are provided, the SFC-aware
SF MUST process these TLVs in the order their appear in the NSH
packet.

If multiple instances of the same TLV are included in an NSH packet,
but the definition of that TLV does not allow for it, the SFC-aware
SF MUST NOT process the packet and MUST log at least once per the SPI
for which multiple instances of that TLV is supplied.

From: sfc [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, February 16, 2017 11:04 AM
To: Paul Quinn (paulq) <[email-masked]>; [email-masked]
Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-11.txt

Hi Paul,

Cheers,
Med

De : sfc [mailto:[email-masked]] De la part de Paul Quinn (paulq)
Envoyé : mardi 14 février 2017 00:30
À : [email-masked]<mailto:[email-masked]>
Objet : [sfc] Fwd: New Version Notification for draft-ietf-sfc-nsh-11.txt

Folks,

This version integrates:

Paul

Begin forwarded message:

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

The IETF Secretariat

---

From: "Paul Quinn (paulq)" <[email-masked]>
Date: Thu, 23 Feb 2017 13:13:13 +0000

As new version has been posted to reflect this text.

Paul

On Feb 16, 2017, at 6:14 PM, James N Guichard <[email-masked]<mailto:[email-masked]>> wrote:

For reference the agreed upon text to be added at the end of section 3.5.1 is as follows – NSH editors please make the change:

From: sfc [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Thursday, February 16, 2017 11:04 AM
To: Paul Quinn (paulq) <[email-masked]>; [email-masked]
Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-11.txt

Hi Paul,

I’m afraid the agreed text (the one to be added to Section 3.5.1) as recorded inhttps://trac.ietf.org/trac/sfc/ticket/21 was not integrated in this revision. Can you please fix that?

Cheers,
Med

Folks,

This version integrates:

Paul

Begin forwarded message:

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

The IETF Secretariat

---

From: <[email-masked]>
Date: Thu, 23 Feb 2017 13:25:18 +0000

Hi Paul,

Thank you.

BTW, I noticed right now that the document didn’t implemented well the outcome of this ticket: https://trac.ietf.org/trac/sfc/ticket/22. In particular, the following text must be fixed accordingly.

===
   When the Base Header specifies MD Type = 0x1, four Context Headers,
   4-byte each, MUST be added immediately following the Service Path
   Header, as per Figure 4.  Context Headers that carry no metadata MUST
   be set to zero.
===

Cheers,
Med

De : sfc [mailto:[email-masked]] De la part de Paul Quinn (paulq)
Envoyé : jeudi 23 février 2017 14:13
À : James N Guichard; Joel Halpern
Cc : [email-masked]
Objet : Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-11.txt

Paul

From: sfc [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Thursday, February 16, 2017 11:04 AM
To: Paul Quinn (paulq) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [sfc] New Version Notification for draft-ietf-sfc-nsh-11.txt

Hi Paul,

Cheers,
Med

Folks,

This version integrates:

Paul

Begin forwarded message:

Name: draft-ietf-sfc-nsh
Revision: 11

Abstract:

The IETF Secretariat